Package uk.ac.starlink.vo

## Class HasContentIcon

- java.lang.Object
- - uk.ac.starlink.vo.HasContentIcon

- All Implemented Interfaces:
    `javax.swing.Icon`

      public class HasContentIcon
      extends java.lang.Object
      implements javax.swing.Icon

  Little icon that indicates boolean state.
  Since:
    16 Feb 2015
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static javax.swing.Icon` | `getIcon​(boolean hasContent)` | Returns an instance of this icon.
    `int` | `getIconHeight​()` |
    `int` | `getIconWidth​()` |
    `void` | `paintIcon​(java.awt.Component c, java.awt.Graphics g, int x, int y)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getIconWidth

          public int getIconWidth​()

      Specified by:
        `getIconWidth` in interface `javax.swing.Icon`

    - #### getIconHeight

          public int getIconHeight​()

      Specified by:
        `getIconHeight` in interface `javax.swing.Icon`

    - #### paintIcon

          public void paintIcon​(java.awt.Component c,
                                java.awt.Graphics g,
                                int x,
                                int y)

      Specified by:
        `paintIcon` in interface `javax.swing.Icon`

    - #### getIcon

          public static javax.swing.Icon getIcon​(boolean hasContent)

      Returns an instance of this icon.
      Parameters:
        `hasContent` - state flag
      Returns:
        icon indicating one or other state

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.